## python-wordcloud 1.8.1+dfsg

=== requirements.txt ===
matplotlib>=1.5.3
numpy>=1.6.1
pillow

## python-wordcloud 1.6.0+dfsg

=== debian/changelog ===
python-wordcloud (1.6.0+dfsg-3) unstable; urgency=medium

  * Fix copyright
    Closes: #955336

 -- Andreas Tille <tille@debian.org>  Mon, 30 Mar 2020 08:42:23 +0200

python-wordcloud (1.6.0+dfsg-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 28 Mar 2020 06:14:06 +0100

python-wordcloud (1.6.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #950917)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2020 21:28:19 +0100

=== debian/control ===
Source: python-wordcloud
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               python3-setuptools,
               python3-all-dev,
               python3-matplotlib <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pil <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-wordcloud
Vcs-Git: https://salsa.debian.org/med-team/python-wordcloud.git
Homepage: https://github.com/amueller/word_cloud
Rules-Requires-Root: no

Package: python3-wordcloud
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-matplotlib,
         python3-numpy,
         python3-pil,
         texlive-fonts-extra
Description: little word cloud generator in Python
 Compared to other wordclouds, this algorithm has the advantage of
  * filling all available space.
  * being able to use arbitraty masks.
  * having a stupid simple algorithm (with an efficient implementation)
    that can be easily modified.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=wordcloud
export PYBUILD_AFTER_INSTALL = \
  dh_link /usr/share/texlive/texmf-dist/fonts/truetype/ascender/droid/droidsansmono/DroidSansMono.ttf {install_dir}/$(PYBUILD_NAME)/DroidSansMono.ttf


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	cython3 wordcloud/*.pyx

## python-wordcloud 1.8.1%2Bdfsg

=== debian/control ===
Source: python-wordcloud
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3,
               python3-setuptools,
               python3-all-dev,
               python3-matplotlib <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pil <!nocheck>,
               debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wordcloud
Vcs-Git: https://salsa.debian.org/python-team/packages/python-wordcloud.git
Homepage: https://github.com/amueller/word_cloud
Rules-Requires-Root: no

Package: python3-wordcloud
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-matplotlib,
         python3-numpy,
         python3-pil,
         texlive-fonts-extra
Description: little word cloud generator in Python
 Compared to other wordclouds, this algorithm has the advantage of
  * filling all available space.
  * being able to use arbitrary masks.
  * having a stupid simple algorithm (with an efficient implementation)
    that can be easily modified.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-numpy, python3-matplotlib
Restrictions: allow-stderr

## python-wordcloud 1.8.1+dfsg

=== debian/changelog ===
python-wordcloud (1.8.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 14 Nov 2020 20:01:45 +0530

python-wordcloud (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add manpages
  * debhelper-compat 13 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 27 Sep 2020 15:14:24 +0530

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #! /usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=wordcloud
 export PYBUILD_AFTER_INSTALL = \
   dh_link /usr/share/texlive/texmf-dist/fonts/truetype/ascender/droid/droidsansmono/DroidSansMono.ttf {install_dir}/$(PYBUILD_NAME)/DroidSansMono.ttf

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/amueller/word_cloud/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-wordcloud 1.8.2.2+dfsg

=== debian/changelog ===
python-wordcloud (1.8.2.2+dfsg-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 16:44:02 +0100

python-wordcloud (1.8.1+dfsg-3) unstable; urgency=medium

  * Move package to Debian Python Team
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 13:44:19 +0100

python-wordcloud (1.8.1+dfsg-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 07:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-numpy <!nocheck>,
                python3-pil <!nocheck>,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wordcloud
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-wordcloud.git
 Homepage: https://github.com/amueller/word_cloud

## python-wordcloud 1.9.2+dfsg

=== debian/changelog ===
python-wordcloud (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1040635
  * Fix filename of download tarball

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jul 2023 10:58:08 +0200

## python-wordcloud 1.9.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,15 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_clean:
+	set -ex; \
+	if [ -e "${CURDIR}/wordcloud/query_integral_image.c" ]; then \
+		rm "${CURDIR}/wordcloud/query_integral_image.c"; \
+	fi
+
 override_dh_auto_configure:
 	dh_auto_configure
 	cython3 wordcloud/*.pyx
+
+# skip tests when building, depends on autopkgtest
+override_dh_auto_test:

## python-wordcloud 1.9.3+dfsg

=== debian/changelog ===
python-wordcloud (1.9.3+dfsg-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:57:24 +0000

python-wordcloud (1.9.3+dfsg-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:28:17 +0000

python-wordcloud (1.9.3+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:28:40 +0100

python-wordcloud (1.9.3+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * Use NotoMono-Regular.ttf in place of DroidSansMono.ttf (Closes: #1055946)
  * Use execute_after in d/rules

  [ Sophie Brun ]
  * Remove superfluous file pattern in debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Sep 2024 14:20:45 +0200

python-wordcloud (1.9.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.9.3. (Closes: #1055721)
  * Add python3-setuptools-scm on B-D.
  * Add python3-wordcloud.install to install properly.
  * Skip tests when building, depend on autopkgtest.
  * Add upstream test to autopkgtest.
  * Add patch to skip tests failed.
  * Add _version.py patch as placeholder to fix dpkg-source check
    issue

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 05 Jan 2024 17:15:14 +0800

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                dh-python,
                cython3,
                python3-setuptools,
+               pybuild-plugin-pyproject,
+               python3-setuptools-scm,
                python3-all-dev,
                python3-matplotlib <!nocheck>,
                python3-numpy <!nocheck>,
@@ -27,7 +29,7 @@
          python3-matplotlib,
          python3-numpy,
          python3-pil,
-         texlive-fonts-extra
+         fonts-noto-mono
 Description: little word cloud generator in Python
  Compared to other wordclouds, this algorithm has the advantage of
   * filling all available space.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = wordcloud
export PYBUILD_AFTER_INSTALL = \
  dh_link /usr/share/fonts/truetype/noto/NotoMono-Regular.ttf {install_dir}/$(PYBUILD_NAME)/DroidSansMono.ttf

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	set -ex; \
	if [ -e "${CURDIR}/wordcloud/query_integral_image.c" ]; then \
		rm "${CURDIR}/wordcloud/query_integral_image.c"; \
	fi

execute_after_auto_configure:
	cython3 wordcloud/*.pyx

# skip tests when building, depends on autopkgtest
override_dh_auto_test:

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/amueller/word_cloud/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-wordcloud 1.9.4+dfsg

=== requirements.txt ===
matplotlib>=1.5.3
numpy>=1.6.1
pillow
cython

=== debian/changelog ===
python-wordcloud (1.9.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * use dh-sequence-python3
  * reformat with black

  [ Étienne Mollier ]
  * New upstream version 1.9.4+dfsg
  * d/{clean,rules}: repair the clean target. (Closes: #1048272)
  * d/control: declare compliance to standard version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * add-version.patch: normalize the dep3 header.
  * skip-tests-failed.patch: normalize the dep3 header.

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Nov 2025 18:18:40 +0100

=== debian/control ===
Source: python-wordcloud
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wordcloud
Vcs-Git: https://salsa.debian.org/python-team/packages/python-wordcloud.git
Homepage: https://github.com/amueller/word_cloud
X-Style: black

Package: python3-wordcloud
Architecture: any
Depends:
 fonts-noto-mono,
 python3-matplotlib,
 python3-numpy,
 python3-pil,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: little word cloud generator in Python
 Compared to other wordclouds, this algorithm has the advantage of
  * filling all available space.
  * being able to use arbitrary masks.
  * having a stupid simple algorithm (with an efficient implementation)
    that can be easily modified.

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
   dh_link /usr/share/fonts/truetype/noto/NotoMono-Regular.ttf {install_dir}/$(PYBUILD_NAME)/DroidSansMono.ttf
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_clean:
+execute_after_dh_auto_clean:
 	set -ex; \
 	if [ -e "${CURDIR}/wordcloud/query_integral_image.c" ]; then \
 		rm "${CURDIR}/wordcloud/query_integral_image.c"; \

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 python3-all,
 python3-coverage,
 python3-matplotlib,
 python3-numpy,
 python3-pytest-cov,
 python3-pytest-sugar,
 python3-setuptools-whl,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: Github
Owner: amueller
Project: word_cloud
Dversionmangle: auto
Repacksuffix: +dfsg
